Loading...
Searching...
No Matches
Magick::PathCurvetoAbs Class Reference
Inheritance diagram for Magick::PathCurvetoAbs:

## Public Member Functions

| PathCurvetoAbs (const PathCurvetoArgs &args_)
| PathCurvetoAbs (const PathCurveToArgsList &args_)
| PathCurvetoAbs (const PathCurvetoAbs &original_)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const

## Private Attributes

PathCurveToArgsList | _args

## Detailed Description

Definition at line 2642 of file Drawable.h.

## Constructor & Destructor Documentation

## PathCurvetoAbs() [1/3]

Magick::PathCurvetoAbs::PathCurvetoAbs | ( | const PathCurvetoArgs & | args_ | ) |

Definition at line 1979 of file Drawable.cpp.

: _args(1,args_)
{
}

## PathCurvetoAbs() [2/3]

Magick::PathCurvetoAbs::PathCurvetoAbs | ( | const PathCurveToArgsList & | args_ | ) |

Definition at line 1983 of file Drawable.cpp.

: _args(args_)
{
}

## PathCurvetoAbs() [3/3]

Magick::PathCurvetoAbs::PathCurvetoAbs | ( | const PathCurvetoAbs & | original_ | ) |

Definition at line 1987 of file Drawable.cpp.

: VPathBase (original_),
_args(original_._args)
{
}

## ~PathCurvetoAbs()

Magick::PathCurvetoAbs::~PathCurvetoAbs | ( | void |  | ) |

Definition at line 1993 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::VPathBase * Magick::PathCurvetoAbs::copy | ( |  | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2006 of file Drawable.cpp.

{
return new PathCurvetoAbs(*this);
}

## operator()()

void Magick::PathCurvetoAbs::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 1996 of file Drawable.cpp.

{
for( PathCurveToArgsList::const_iterator p = _args.begin();
p != _args.end(); p++ )
{
DrawPathCurveToAbsolute( context_, p->x1(), p->y1(), p->x2(), p->y2(),
p->x(), p->y() );
}
}

## Field Documentation

## _args

PathCurveToArgsList Magick::PathCurvetoAbs::_args

private

Definition at line 2664 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp